Skip to main content

Class: EmailService

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/email.ts:20

Extends​

  • BaseService

Constructors​

Constructor​

new EmailService(client): EmailService

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/base.ts:12

Parameters​

client​

TanqoryClient

Returns​

EmailService

Inherited from​

BaseService.constructor

Properties​

client​

protected client: TanqoryClient

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/base.ts:10

Inherited from​

BaseService.client

Methods​

buildQuery()​

protected buildQuery(options?): Record<string, any>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/base.ts:26

Build query parameters

Parameters​

options?​

ListOptions

Returns​

Record<string, any>

Inherited from​

BaseService.buildQuery


generateIdempotencyKey()​

protected generateIdempotencyKey(prefix): string

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/base.ts:19

Generate idempotency key

Parameters​

prefix​

string

Returns​

string

Inherited from​

BaseService.generateIdempotencyKey


getExportMimeType()​

protected getExportMimeType(format): string

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/base.ts:45

Get MIME type for export format

Parameters​

format​

string

Returns​

string

Inherited from​

BaseService.getExportMimeType


getSettings()​

getSettings(storeId): Promise<any>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/email.ts:67

Get notification settings

Parameters​

storeId​

string

Returns​

Promise<any>


getTemplate()​

getTemplate(storeId, templateId): Promise<any>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/email.ts:43

Get a specific email template

Parameters​

storeId​

string

templateId​

string

Returns​

Promise<any>


listCustomerTemplates()​

listCustomerTemplates(storeId): Promise<any>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/email.ts:28

List customer email templates

Parameters​

storeId​

string

Returns​

Promise<any>


listFulfillmentTemplates()​

listFulfillmentTemplates(storeId): Promise<any>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/email.ts:33

List fulfillment email templates

Parameters​

storeId​

string

Returns​

Promise<any>


listStaffNotifications()​

listStaffNotifications(storeId): Promise<any>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/email.ts:79

List staff notification preferences

Parameters​

storeId​

string

Returns​

Promise<any>


resetTemplate()​

resetTemplate(storeId, templateId): Promise<any>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/email.ts:60

Reset a template to default

Parameters​

storeId​

string

templateId​

string

Returns​

Promise<any>


sendTestEmail()​

sendTestEmail(storeId, templateId): Promise<any>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/email.ts:55

Send a test email for a template

Parameters​

storeId​

string

templateId​

string

Returns​

Promise<any>


updateFulfillmentTemplates()​

updateFulfillmentTemplates(storeId, data): Promise<any>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/email.ts:38

Update fulfillment email templates

Parameters​

storeId​

string

data​

any

Returns​

Promise<any>


updateSettings()​

updateSettings(storeId, data): Promise<any>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/email.ts:72

Update notification settings

Parameters​

storeId​

string

data​

any

Returns​

Promise<any>


updateStaffNotification()​

updateStaffNotification(storeId, notificationId, data): Promise<any>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/email.ts:84

Update a staff notification preference

Parameters​

storeId​

string

notificationId​

string

data​

any

Returns​

Promise<any>


updateTemplate()​

updateTemplate(storeId, templateId, data): Promise<any>

Defined in: tanqory-platform-packages/packages/api/sdk/src/services/email.ts:48

Update an email template

Parameters​

storeId​

string

templateId​

string

data​

any

Returns​

Promise<any>